Summary: A gtk+ based diagram creation program.
Name: dia
Version: 0.88.1
Release: 7mdk
License: GPL
Group: Office
Source: http://www.lysator.liu.se/~alla/dia/%{name}-%{version}.tar.bz2
Source2: %{name}_icons.tar.bz2
# (fc) 0.88.1-4mdk disable doc generation (Rawhide)
Patch0: dia-0.88.1-nodocs.patch.bz2
# (fc) 0.88.1-4mdk fix text rendering (Rawhide)
Patch1: dia-0.88.1-text-render.patch.bz2
# (fc) 0.88.1-7mdk fix crash in tools menu - bug 55047 (GNOME CVS)
Patch2: dia-0.88.1-gnometools.patch.bz2
URL: http://www.lysator.liu.se/~alla/dia/dia.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86
BuildRequires:	bison
BuildRequires:	bonobo-devel
BuildRequires:	freetype2-devel
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	popt-devel
BuildRequires:	pygtk
BuildRequires:	python-devel
BuildRequires:	sgml-tools

Requires: XFree86-ISO8859-2-75dpi-fonts
Requires: pygtk

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .nodocs
%patch1 -p1 -b .textrender
%patch2 -p1 -b .tools

bzcat %{SOURCE2} | tar xf -

%build

%configure --enable-bonobo --enable-gnome --enable-gnome-print  --with-python 

%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Office/Graphs" title="Dia" longtitle="A gtk+ based diagram creation program" command="%{_bindir}/dia" icon="dia.xpm"
EOF
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
%{find_lang} %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/gnome/apps/Applications/*
# needed only if bonobo support is activated
%{_datadir}/oaf/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-7mdk
- Patch2 (GNOME CVS): fix crash in tools menu (bug 55047)

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.88.1-6mdk
- BuildRequires

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-5mdk
- Recompiled against python 2.2

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-4mdk
- Patch0 (Rawhide): disable doc generation (broken)
- Patch1 (Rawhide): fix text rendering

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-3mdk
- Add missing BuildRequires

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-2mdk
- new office menu structure
- embed menu entry in specfile
- Add dependency on pygtk (for plugins)
- Reactivate xim
- configure macro is back

* Mon May 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88.1-1mdk
- Up to 0.88.1


* Mon May 14 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88-1mdk
- UP to 0.88
- reactivate bonobo support
- reactivate gnome support

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-6mdk
- Add locales (really)
- Disable GNOME support (seems to break i18n)
- Disable Bonobo support (since GNOME is needed to support Bonobo)
- Remove patch0

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-5mdk
- Recompiled against oaf 0.6.2

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-4mdk
- Recompiled against last bonobo
- Add missing files
- Bzip patch

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.86-3mdk
- recompiled with gnome-print 0.24

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-2mdk
- Adding many icons on various format

* Mon Aug  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-1mdk
- Up to 0.86

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-2mdk
- macroszification
- rebuild for BM

* Fri May 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.85-1mdk
- Up to 0.85

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.84-6mdk
- add buildrequires libxml

* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-5mdk
- Remove locale to prevent crash

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-4mdk
- Add dependencie to ISO font

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-3mdk
- Corrected group
- Add icon

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-2mdk
- add menu


* Mon Mar 07 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-1mdk
- v0.84


* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 
- v0.83
- used srpm provided by Gwenael Letellier <gwenael@linux-mandrake.com>


* Mon Dec 20 1999 Lenny Cartier <lenny@mandrakesoft.com>
 
- bz2 archive
 
* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com>
 
- 0.82
- first mandrake version.
 
* Sun Oct 17 1999 Miles Lott <milos@insync.net>
 
- Build for 0.80
- added version string to setup line
 
* Sun Sep 05 1999 James Henstridge <james@daa.com.au>
 
- added $(prefix)/share/dia to files list.
 
* Thu Apr 29 1999 Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
 
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip
 
* Fri Aug 28 1998 Francis J. Lacoste <francis@Contre.COM>
 
- First RPM release.
                        


